import DB from "./DB";
/**
 * Gestiona las propiedades de un tabla de Sqlite
 */
export default class Table {
    db: DB;
    name: string;
    constructor(db: DB, name: string);
    /**
     * ```
     *  cid 	name      type 	  notnull 	dflt_value 	  pk
     *    0   id      integer 	      0 	      null 	    1
     *    1   type       text 	      0 	      null 	    0
     *    2   data       json 	      0 	      null 	    0
     * ```
     *
     * @param name nombre de la tabla
     * @returns
     */
    info(): Promise<any[]>;
    /**
     * Agrega las columnas que no existen
     * @param db
     * @param columns
     * @returns
     */
    addColumns(columns: Column[]): Promise<Column[]>;
}
/**
  * id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL DEFAUL '' +
  */
export declare class Column {
    name: string;
    type: string;
    private _primaryKey;
    private _autoIncrement;
    private _nullable;
    private _defaultVal?;
    constructor(name: string, type: string);
    primaryKey(): Column;
    autoIncrement(): Column;
    defaultVal(defaultVal: string): Column;
    nullable(): Column;
    compile(): string;
}
//# sourceMappingURL=Table.d.ts.map